Previous: VIC-II resources, Up: VIC-II settings [Contents][Index]

#### 7.1.4.2 VIC-II command-line options

`-VICIIcheckss`
`+VICIIcheckss`

  Enable/disable emulation of hardware sprite-sprite collision detection (`VICIICheckSsColl=1`, `VICIICheckSsColl=0`).

`-VICIIchecksb`
`+VICIIchecksb`

  Enable/disable emulation of hardware sprite-background collision detection (`VICIICheckSbColl=1`, `VICIICheckSbColl=0`).

`-VICIIvspbug`
`+VICIIvspbug`

  Enable/disable emulation of the "VSP bug" (`VICIIVSPBug=1`, `VICIIVSPBug=0`) (x64sc, xscpu64 only).

`-VICIIvcache`
`+VICIIvcache`

  Enable/disable the video cache (`VICIIVideoCache=1`, `VICIIVideoCache=0`).

`-VICIIdsize`
`+VICIIdsize`

  Enable/disable the double size mode (`VICIIDoubleSize=1`, `VICIIDoubleSize=0`).

`-VICIIdscan`
`+VICIIdscan`

  Enable/disable the double scan mode (`VICIIDoubleScan=1`, `VICIIDoubleScan=0`).

`-VICIIfilter <Mode>`

  Select rendering filter (`VICIIFilter`). (0: None, 1: CRT emulation, 2: Scale2x)

`-VICIIintpal`

  Use an internal calculated palette (`VICIIExternalPalette=0`).

`-VICIIextpal`

  Use an external palette (file) (`VICIIExternalPalette=1`).

`-VICIIpalette <Name>`

  Specify the name of the palette file (`VICIIPaletteFile`).

`-VICIIborders <mode>`

  Set VIC-II border display mode (`VICIIBorderMode`). (0: normal, 1: full, 2: debug, 3: none)

`-VICIImodel <model>`

  Set VIC-II model (`VICIIModel`) (x64sc and xscpu64 only). (6569, 6569r1, 8565, 6567, 8562, 6567r56a, 6572)

`-VICIInewluminance`
`+VICIInewluminance`

  Enable/disable new luminances (`VICIINewLuminances=1`, `VICIINewLuminances=0`).

`-VICIIsaturation <0-2000>`

  Set saturation of internal calculated palette (`VICIIColorSaturation`).

`-VICIIcontrast <0-2000>`

  Set contrast of internal calculated palette (`VICIIColorContrast`).

`-VICIIbrightness <0-2000>`

  Set brightness of internal calculated palette (`VICIIColorBrightness`).

`-VICIIgamma <0-4000>`

  Set gamma of internal calculated palette (`VICIIColorGamma`).

`-VICIItint <0-2000>`

  Set tint of internal calculated palette (`VICIIColorTint`).

`-VICIIoddlinesphase <0-2000>`

  Set phase for color carrier in odd lines (`VICIIPALOddLinePhase`).

`-VICIIoddlinesoffset <0-2000>`

  Set phase offset for color carrier in odd lines (`VICIIPALOddLineOffset`).

`-VICIIcrtblur <0-1000>`

  Amount of horizontal blur for the CRT emulation (`VICIIPALBlur`).

`-VICIIcrtscanlineshade <0-1000>`

  Amount of scan line shading for the CRT emulation (`VICIIPALScanLineShade`).

`-VICIIaudioleak`
`+VICIIaudioleak`

  Enable/disable video to audio leak emulation (`VICIIAudioLeak=1`, `VICIIAudioLeak=0`).

Previous: VIC-II resources, Up: VIC-II settings [Contents][Index]